"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var RedisHelperModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedisHelperModule = void 0;
const common_1 = require("@nestjs/common");
const redis_helper_service_1 = require("./redis-helper.service");
const dataSourceProviders = (dataSource) => {
    return {
        provide: 'NAME_DATA_SOURCE',
        useFactory() {
            return dataSource;
        },
    };
};
const envProviders = (env) => {
    return {
        provide: 'NODE_ENV',
        useFactory() {
            return env;
        },
    };
};
let RedisHelperModule = RedisHelperModule_1 = class RedisHelperModule {
    static register(env, dataSource) {
        return {
            module: RedisHelperModule_1,
            providers: [dataSourceProviders(dataSource), envProviders(env)],
            exports: [redis_helper_service_1.RedisHelperService],
        };
    }
};
exports.RedisHelperModule = RedisHelperModule;
exports.RedisHelperModule = RedisHelperModule = RedisHelperModule_1 = __decorate([
    (0, common_1.Module)({})
], RedisHelperModule);
//# sourceMappingURL=redis-helper.module.js.map